Bug 64429 - Install crashes repeatably while python script sets up disk partition step
Install crashes repeatably while python script sets up disk partition step
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-04 15:06 EDT by Stephen L Moshier
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen L Moshier 2002-05-04 15:06:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20011126
Netscape6/6.2.1

Description of problem:
Attempt to install RH 7.2 on a 40 gig IDE drive failed at disk partitioning
step.  Tried many permutations of install menus leading up
to that point.  Suse linux installed ok on the same drive.  RH installed
ok on a smaller drive.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. No special procedure.  Many variations of install menu
selections tried, all failed.

	

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 518, in setScreen
    exec s
  File "<string>", line 1, in ?
ImportError: cannot import name FDiskWindow

Local variables in innermost frame:
args: (<partitioning.DiskSet instance at 8700110>, <partitioning.Partitions inst
self: <gui.InstallControlWindow instance at 83d5928>
newScreenClass: None
s: from fdisk_gui import FDiskWindow; newScreenClass = FDiskWindow
file: fdisk_gui

step: fdisk
className: FDiskWindow


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'addswap': 1, 'indivpackage': 1, 'upgrademigra
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/s
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: []
    langNicks: None
    default: None
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01', 'lat0-sun16'), 'Sp
    info: {'SUPPORTED': None}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'hda': <PedDisk object at 8559008>}
  tmpData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.p
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': it, 'Korean': us, 'Russian': ru, 'English': us, 'Norwegian'
    font: {'Italian': lat0-sun16, 'Korean': None, 'Russian': cyr-sun16, 'English
    langNicks: {'Italian': it_IT, 'Korean': ko_KR.eucKR, 'Russian': ru_RU.koi8r,
    langList: [Czech, Danish, English, French, German, Icelandic, Italian, Japan
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian': Europe/Moscow,
    tempDefault: 
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English': iso01,
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    info: {}
  videocard: primary: 0
vidCards: [<videocard.VideoCard instance at 80d89e8>]
Primary Video Card Info:
device: None
descr : Intel Corporation|i740
server: XFree86
cardManf: Intel740 Super VGA
vidRam: 8192
carddata: {'SERVER': 'SVGA', 'DRIVER': 'i740', 'LINE': '    #Option     "no_acce
devID: Intel 740 (generic)
fbmodes: None
fbbpp: None

  floppyDevice: fd0
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {}
    mouse: FULLNAME="Generic - 2 Button Mouse (serial)"
MOUSETYPE="Microsoft"
XEMU3="yes"
XMOUSETYPE="Microsoft"

    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files: 
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath     "/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
    FontPath   "unix/:7100"

    keyVariant: 
    videocard: device: None
descr : Intel Corporation|i740
server: XFree86
cardManf: Intel740 Super VGA
vidRam: 8192
carddata: {'SERVER': 'SVGA', 'DRIVER': 'i740', 'LINE': '    #Option     "no_acce
devID: Intel 740 (generic)
fbmodes: None
fbbpp: None

    keyOptions: 
    modes: {'16': ['800x600']}
    res: 800x600
    monitor: monEisa: vsc5a43
monName: ViewSonic A70
monID: ViewSonic A70
fbmonSect: 
monHoriz: 30-70
monVert: 50-180

    skipx: 0
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: [mountpoint: /   type: ext3   uniqueID:None
  size: 700M   requestSize: 700M  grow: 1   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: /boot   type: ext3   uniqueID:None
  size: 50M   requestSize: 50M  grow: 0   max: None
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:None
  size: 128M   requestSize: 128M  grow: 1   max: 256
  start: None   end: None   partnum: None
  drive: None   primary: None  
  format: 1, options: None  device: None, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    nextUniqueID: 6
    zeroMbr: 0
    autoClearPartType: 1
    requests: [mountpoint: None   type: None   uniqueID:2
  size:37644.4995117M   requestSize: 37644.4995117M  grow: 0   max: None
  start: 1060290L   end: 78156224L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda2, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: ext2   uniqueID:3
  size: 7.8134765625M   requestSize: 7.8134765625M  grow: 0   max: None
  start: 1060353L   end: 1076354L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda5, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: ext2   uniqueID:4
  size: 37503.2724609M   requestSize: 37503.2724609M  grow: 0   max: None
  start: 1076418L   end: 77883119L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda6, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: swap   uniqueID:5
  size: 133.321289062M   requestSize: 133.321289062M  grow: 0   max: None
  start: 77883183L   end: 78156224L   partnum: None
  drive: hda   primary: None  
  format: 1, options: None  device: hda7, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
, mountpoint: None   type: vfat   uniqueID:1
  size: 517.688964844M   requestSize: 517.688964844M  grow: 0   max: None
  start: 63L   end: 1060289L   partnum: None
  drive: hda   primary: None  
  format: None, options: None  device: hda1, currentDrive: None
  raidlevel: None  raidspares: None  raidmembers: []
]
    autoClearPartDrives: []
    useFdisk: 1
    useAutopartitioning: 0
  extraModules: []
  mouse: Already dumped
  bootloader: x86BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {}
      default: None
    pure: None
    device: None
    configfile: /etc/lilo.conf
    above1024: 0
    kernelLocation: /boot/
    args: KernelArguments instance, containing members:
      args: 
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    dst: 0
    tz: None
    arc: 0
    utcOffset: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 0
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
  accounts: None
  dependencies: []
  comps: None
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    sambaServer: 
    enableCache: 0
    nisServer: 
    useLdap: 0
    sambaWorkgroup: 
    krb5Kdc: 
    ldapTLS: 
    useHesiod: 0
    ldapServer: 
    nisDomain: 
    krb5Realm: 
    useLdapauth: 0
    hesiodRhs: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    useMD5: 1
    ldapBasedn: 
    krb5Admin: 
    hesiodLhs: 
    useSamba: 0
  upgradeDeps: 
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: -1
    portlist: 
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {}
    gateway: 
    secondaryNS: 
    hostname: localhost.localdomain
    primaryNS: 
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS: 
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 0
    entries: [FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: gid=5,mode=620
      order: 0
      mountpoint: /dev/pts
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: DevptsFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: gid=5,mode=620
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: devpts
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
, FileSystemSetEntry instance, containing members:
      origfsystem: None
      mountcount: 0
      options: defaults
      order: 0
      mountpoint: /proc
      device: Device instance, containing members:
        label: None
        isSetup: 0
        fsoptions: {}
        device: none
      label: None
      fsck: 0
      fsystem: ProcFileSystem instance, containing members:
        partedFileSystemType: None
        formattable: 0
        extraFormatArgs: []
        maxSize: 2097152
        defaultOptions: defaults
        linuxnativefs: 0
        deviceArguments: {}
        migratetofs: None
        name: proc
        checked: 0
        partedPartitionFlags: []
        supported: 0
      migrate: 0
      format: 0
      badblocks: 0
]
    progressWindow: <method InstallInterface.progressWindow of InstallInterface 
    waitWindow: <method InstallInterface.waitWindow of InstallInterface instance
    messageWindow: <method InstallInterface.messageWindow of InstallInterface in
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  progressWindow: <method InstallInterface.progressWindow of InstallInterface in
  device: hdb
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface inst
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1, 'reconfig': 0, 'se
intf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps
    bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84a72d8>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8685aa0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 86706d0>
    window: GtkWindow instance, containing members:
    ce: hdb
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instinstPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1, 'reconfig': 0,
'seintf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps
   bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84a72d8>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8685aa0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 86706d0>
    window: GtkWindow instance, containing members:
    ce: hdb
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instinstPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1, 'reconfig': 0,
'seintf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps
   bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84a72d8>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8685aa0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 86706d0>
    window: GtkWindow instance, containing members:
    ce: hdb
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instinstPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1, 'reconfig': 0,
'seintf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps
   bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84a72d8>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8685aa0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 86706d0>
    window: GtkWindow instance, containing members:
    ce: hdb
  tree: /mnt/source
  currentDisc: 1
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instinstPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'serial': 0, 'test': 0, 'expert': 1, 'reconfig': 0,
'seintf: InstallInterface instance, containing members:
  dispatch: Already dumped
  runres: 800x600
  icw: InstallControlWindow instance, containing members:
    buff: None
    configFileData: {'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps
   bin: GtkFrame instance, containing members:
      _o: <GtkObject of type GtkFrame at 84a72d8>
    langSearchPath: [en_US, en, C]
    helpState: 1
    showHelpButton: GnomePixmapButton instance, containing members:
      _o: <GtkObject of type GtkButton at 8685aa0>
    html: GtkXmHTML instance, containing members:
      _o: <GtkObject of type GtkXmHTML at 86706d0>
    window: GtkWindow instance, containing members:
    langList: [Czech, Danish, English, French, German, Icelandic, Italian,
Japanese, Korean, Norwegian, Russian, Slovenian, Spanish, Swedish, Ukrainian]
    tz: {'Italian': Europe/Rome, 'Korean': Asia/Seoul, 'Russian': Europe/Moscow,
'English': America/New_York, 'Norwegian': Europe/Oslo, 'Swedish':
Europe/Stockholm, 'French': Europe/Paris, 'Japanese': Asia/Tokyo, 'Slovenian':
Europe/Ljubljana, 'Czech': Europe/Prague, 'Ukrainian': Europe/Kiev, 'Spanish':
Europe/Madrid, 'German': Europe/Berlin, 'Danish': Europe/Copenhagen,
'Icelandic': Atlantic/Reykjavik}
    tempDefault:
    map: {'Italian': iso15, 'Korean': None, 'Russian': koi8-r, 'English': iso01,
'Norwegian': iso15, 'Swedish': iso15, 'French': iso15, 'Japanese': None,
'Slovenian': iso02, 'Czech': iso02, 'Ukrainian': koi8-u, 'Spanish': iso15,
'German': iso09, 'Danish': iso15, 'Icelandic': iso15}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 3
    ce: hdb
  tree: /mnt/source
  currentDisc: 3
  loopbackFile: None
  messageWindow: <method InstallInterface.messageWindow of InstallInterface inst
instPath: /mnt/sysimage
flags: Flags instance, containing members:
Comment 1 Michael Fulbright 2002-05-06 14:23:59 EDT
This looks like a problem related to getting read errors from the install CD.
Have you checked the md5sum of the images?
Comment 2 Brock Organ 2002-05-07 09:15:47 EDT
Here is additional information supplied in an email by the bug reporter :).

From: 
Stephen L Moshier <steve@moshier.net>
To: 
msf@redhat.com, bugzilla@redhat.com
Cc: 
borgan@redhat.com
Subject: 
Re: [Bug 64429] Changed Status - Install crashes repeatably while python script
sets up disk partition step
Date: 
06 May 2002 20:26:48 -0400	

On Mon, 6 May 2002 bugzilla@redhat.com wrote:
> +------- Additional comments from msf@redhat.com 2002-05-06 14:23:59 -------
> +This looks like a problem related to getting read errors from the install CD.
> +Have you checked the md5sum of the images?

Here are the checksums.  I don't see any reference values to compare them
with.

dsp:/cdrom/images # md5sum *
23383ad6e36c9e67b28ac7c40b2b6151  README
d62ba5b8994d55007d08ab7aa8e3bfc1  TRANS.TBL
59ee992200eadc83794ad663d9ccb4fb  boot.img
c3c153269231cd4ad37a216e246c0eb3  bootnet.img
81ef38438dfdf3855b9383c1205b08e4  drvblock.img
e898eef0af4629ee3dae66ec74506dca  drvnet.img
089f35b154ca2de230dad9f7450509f3  oldcdrom.img
b2c0a896ba5e4f9bfdb8fdd717630bcb  pcmcia.img
99a1da798d434e63b937ece86c04f0bd  pcmciadd.img
Comment 3 Michael Fulbright 2002-05-09 15:00:57 EDT
I'm sorry - did you burn these CDs yourself?  If you did, please compare the
md5sum of the CDs against the values in the directory where you downloaded the
ISOs from.
Comment 4 Michael Fulbright 2002-06-12 13:03:44 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 5 Red Hat Bugzilla 2006-02-21 13:48:48 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.